Subject: Re: What will happen to git.git in the near future

From: A Large Angry SCM <[email-masked]>
Date: Sun, 24 Sep 2006 11:42:24 -0700

Johannes Schindelin wrote:
[...]
> I think that this could be done very efficiently (both in terms of time 
> and size) as a "pure" builtin, i.e. something with works as
> "git tar-tree", but not as "git-tar-tree". Of course, this would break 
> scripts using the latter instead of the former. Just my 2 yinyangs.

That would be a bug. If "git foo" works, then "git-foo" should also work.